LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XDataExporter Interface Referencepublished

makes it possible to export data from a component into a data sink. More...

`import <XDataExporter.idl;`

Inheritance diagram for XDataExporter:

## Public Member Functions
void | exportData ([in] com::sun::star::io::XOutputStream aOutputStream, [in] com::sun::star::lang::XComponent Component, [in] com::sun::star::io::XDataTransferEventListener aListener)
| exports data for a component into an output stream.
void | cancel ()
| cancels the export process.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to export data from a component into a data sink.

Exporter objects are registered for specific components and data types.

## Member Function Documentation

## ◆ cancel()

void cancel | ( |  | ) |

cancels the export process.

## ◆ exportData()

void exportData | ( | [in] com::sun::star::io::XOutputStream | aOutputStream,
|  | [in] com::sun::star::lang::XComponent | Component,
|  | [in] com::sun::star::io::XDataTransferEventListener | aListener )

exports data for a component into an output stream.

The documentation for this interface was generated from the following file:

- com/sun/star/io/XDataExporter.idl